__gnu_cxx::encoding_state(3cxx)

NAME
__gnu_cxx::encoding_state - Extension to use iconv for dealing with character encodings.

SYNOPSIS

#include <codecvt_specializations.h>

  Public Types

typedef iconv_t descriptor_type

  Public Member Functions

encoding_state (const char *__int, const char *__ext, int __ibom=0, int __ebom=0, int __bytes=1)
encoding_state (const encoding_state &__obj)
int character_ratio () const
int external_bom () const
const std::string external_encoding () const
bool good () const throw ()
const descriptor_type & in_descriptor () const
int internal_bom () const
const std::string internal_encoding () const
encoding_state & operator= (const encoding_state &__obj)
const descriptor_type & out_descriptor () const

  Protected Member Functions

void construct (const encoding_state &__obj)
void destroy () throw ()
void init ()

  Protected Attributes

int _M_bytes
int _M_ext_bom
std::string _M_ext_enc
descriptor_type _M_in_desc
int _M_int_bom
std::string _M_int_enc
descriptor_type _M_out_desc

Detailed Description

Extension to use iconv for dealing with character encodings.

Definition at line 51 of file codecvt_specializations.h.

Member Typedef Documentation

  typedef iconv_t __gnu_cxx::encoding_state::descriptor_type

Definition at line 57 of file codecvt_specializations.h.

Constructor & Destructor Documentation

  __gnu_cxx::encoding_state::encoding_state () [inline], [explicit]

Definition at line 85 of file codecvt_specializations.h.

  __gnu_cxx::encoding_state::encoding_state (const char * __int, const char * __ext, int __ibom = 0, int __ebom = 0, int __bytes = 1) [inline], [explicit]

Definition at line 90 of file codecvt_specializations.h.

  __gnu_cxx::encoding_state::encoding_state (const encoding_state & __obj) [inline]

Definition at line 104 of file codecvt_specializations.h.

  __gnu_cxx::encoding_state::~encoding_state () [inline]

Definition at line 115 of file codecvt_specializations.h.

Member Function Documentation

  int __gnu_cxx::encoding_state::character_ratio () const [inline]

Definition at line 128 of file codecvt_specializations.h.

  void __gnu_cxx::encoding_state::construct (const encoding_state & __obj) [inline], [protected]

Definition at line 178 of file codecvt_specializations.h.

  void __gnu_cxx::encoding_state::destroy () [inline], [protected]

Definition at line 190 of file codecvt_specializations.h.

  int __gnu_cxx::encoding_state::external_bom () const [inline]

Definition at line 144 of file codecvt_specializations.h.

  const std::string __gnu_cxx::encoding_state::external_encoding () const [inline]

Definition at line 140 of file codecvt_specializations.h.

  bool __gnu_cxx::encoding_state::good () const [inline]

Definition at line 119 of file codecvt_specializations.h.

  const descriptor_type & __gnu_cxx::encoding_state::in_descriptor () const [inline]

Definition at line 148 of file codecvt_specializations.h.

  void __gnu_cxx::encoding_state::init () [inline], [protected]

Definition at line 157 of file codecvt_specializations.h.

  int __gnu_cxx::encoding_state::internal_bom () const [inline]

Definition at line 136 of file codecvt_specializations.h.

  const std::string __gnu_cxx::encoding_state::internal_encoding () const [inline]

Definition at line 132 of file codecvt_specializations.h.

  encoding_state & __gnu_cxx::encoding_state::operator= (const encoding_state & __obj) [inline]

Definition at line 109 of file codecvt_specializations.h.

  const descriptor_type & __gnu_cxx::encoding_state::out_descriptor () const [inline]

Definition at line 152 of file codecvt_specializations.h.

Member Data Documentation

  int __gnu_cxx::encoding_state::_M_bytes [protected]

Definition at line 81 of file codecvt_specializations.h.

  int __gnu_cxx::encoding_state::_M_ext_bom [protected]

Definition at line 73 of file codecvt_specializations.h.

  std::string __gnu_cxx::encoding_state::_M_ext_enc [protected]

Definition at line 64 of file codecvt_specializations.h.

  descriptor_type __gnu_cxx::encoding_state::_M_in_desc [protected]

Definition at line 67 of file codecvt_specializations.h.

  int __gnu_cxx::encoding_state::_M_int_bom [protected]

Definition at line 76 of file codecvt_specializations.h.

  std::string __gnu_cxx::encoding_state::_M_int_enc [protected]

Definition at line 61 of file codecvt_specializations.h.

  descriptor_type __gnu_cxx::encoding_state::_M_out_desc [protected]

Definition at line 70 of file codecvt_specializations.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.